Summary:	Support library for writing LV2 plugins in C++
Name:		lv2-c++-tools
Version:	1.0.3
Release:	4%{?dist}
License:	GPLv3+
Group:		System Environment/Libraries
URL:		http://ll-plugins.nongnu.org/hacking.html
Source0:	http://download.savannah.nongnu.org/releases-noredirect/ll-plugins/%{name}-%{version}.tar.bz2
# Don't use deprecated headers. Sent upstream via email
Patch0:		%{name}-boost.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	gtkmm24-devel
BuildRequires:	lv2core-devel


%description
This software package contains libraries and programs that should make it
easier to write LV2 plugins in C++.


%package devel
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-static = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description devel
This package contains libraries and header files for developing LV2 plugins
that use %{name}.

%prep
%setup -q
%patch0 -p1 -b .boost
# We will use our lv2core
rm -f headers/lv2.h
sed -i -e '/lv2\.h/d' Makefile

%build
# this doesn't use GNU configure
./configure --prefix=%{_prefix} --CFLAGS="%{optflags}"
make %{?_smp_mflags}

# Build the devel doc
doxygen

%install
rm -rf %{buildroot}
make libdir=%{_libdir} DESTDIR=%{buildroot} install

# We don't want this static library. The other ones are needed though
rm -f %{buildroot}%{_libdir}/libpaq.a

# We will put the AUTHORS COPYING ChangeLog README files
# into the proper location
rm -f %{buildroot}%{_docdir}/%{name}/*

# Add missing symlink
ln -sf libpaq.so.0.0.0 %{buildroot}%{_libdir}/libpaq.so.0


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog README
%{_libdir}/lib*.so.*

%files devel
%defattr(-,root,root,-)
%doc html/*
%{_bindir}/*
%{_includedir}/%{name}/
%{_libdir}/lib*.so
%{_libdir}/lib*.a
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Jul 27 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.3-4
- Rebuild against new boost

* Sun Feb 21 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.3-3
- Add Provides to the devel package for a virtual static package

* Sat Feb 20 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.3-2
- Leave liblv2-gui.a and liblv2-plugin.a as static libs per upstream request
- Remove -fno-var-tracking-assignments flag. gcc bug seems fixed

* Sat Jan 30 2010 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.3-1
- Updated to 1.0.3
- Some cleanup from the review request RHBZ#537363

* Fri Nov 13 2009 Orcan Ogetbil <oget[dot]fedora[at]gmail[dot]com> - 1.0.2-1
- initial build
